import { deepCopy } from '../utils/index.js';
export class MinesweeperEvent extends CustomEvent {
    constructor(type, board, eventInitDict = {}) {
        const { detail, ...eventInitDictWithoutDetail } = eventInitDict;
        super(`minesweeper:${type}`, {
            detail: {
                board: deepCopy(board),
                ...detail,
            },
            bubbles: true,
            composed: true,
            cancelable: false,
            ...eventInitDictWithoutDetail,
        });
    }
}
//# sourceMappingURL=minesweeper-event.js.map